summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2021-08-01 13:56:48 +0200
committerChristian Grothoff <christian@grothoff.org>2021-08-01 13:56:48 +0200
commitf1f0bf637bcfd7d10d3acdb328d016ccf2cc4ffb (patch)
treedc093edd40ecc000c942a21ba0e814cacc66c45b
parent243d39920cd2006400a2a3a0ca275806218d1b30 (diff)
downloadexchange-f1f0bf637bcfd7d10d3acdb328d016ccf2cc4ffb.tar.gz
exchange-f1f0bf637bcfd7d10d3acdb328d016ccf2cc4ffb.tar.bz2
exchange-f1f0bf637bcfd7d10d3acdb328d016ccf2cc4ffb.zip
build system: also obtain event type registry from GANA
m---------contrib/gana0
-rwxr-xr-xcontrib/gana-update.sh25
-rw-r--r--src/include/Makefile.am1
3 files changed, 18 insertions, 8 deletions
diff --git a/contrib/gana b/contrib/gana
-Subproject 755e752e3a235df0be8d45374835b109f7843c1
+Subproject bd76ae195ba95ef18bb1d91f7e3ff7501543bf1
diff --git a/contrib/gana-update.sh b/contrib/gana-update.sh
index 196d4b53..b353d224 100755
--- a/contrib/gana-update.sh
+++ b/contrib/gana-update.sh
@@ -8,11 +8,20 @@ set -eu
cd contrib/gana/gnu-taler-error-codes
make
cd ../../..
-if ! diff contrib/gana/gnu-taler-error-codes/taler_error_codes.h src/include/taler_error_codes.h > /dev/null
-then
- cp contrib/gana/gnu-taler-error-codes/taler_error_codes.h src/include/taler_error_codes.h
-fi
-if ! diff contrib/gana/gnu-taler-error-codes/taler_error_codes.c src/util/taler_error_codes.c > /dev/null
-then
- cp contrib/gana/gnu-taler-error-codes/taler_error_codes.c src/util/taler_error_codes.c
-fi
+for n in taler_error_codes.h taler_error_codes.c
+do
+ if ! diff contrib/gana/gnu-taler-error-codes/${n} src/include/${n} > /dev/null
+ then
+ cp contrib/gana/gnu-taler-error-codes/$n src/include/$n
+ fi
+done
+cd contrib/gana/gnu-taler-db-events
+make
+cd ../../..
+for n in taler_dbevents.h
+do
+ if ! diff contrib/gana/gnu-taler-db-events/${n} src/include/${n} > /dev/null
+ then
+ cp contrib/gana/gnu-taler-db-events/$n src/include/$n
+ fi
+done
diff --git a/src/include/Makefile.am b/src/include/Makefile.am
index 12343b1e..ca8c1277 100644
--- a/src/include/Makefile.am
+++ b/src/include/Makefile.am
@@ -10,6 +10,7 @@ talerinclude_HEADERS = \
taler_bank_service.h \
taler_crypto_lib.h \
taler_curl_lib.h \
+ taler_dbevents.h \
taler_error_codes.h \
taler_exchange_service.h \
taler_exchangedb_lib.h \